<h3 class="page-title"><?php echo TEXT_EXT_EXPORT_TEMPLATES ?></h3>

<ul class="page-breadcrumb breadcrumb">
  <li><?php echo link_to(TEXT_EXT_EXPORT_TEMPLATES,url_for('ext/templates/export_templates'))?><i class="fa fa-angle-right"></i></li>
  <li><?php echo $template_info['entities_name'] ?><i class="fa fa-angle-right"></i></li>
  <li><?php echo $template_info['name'] ?></li>
</ul>

<?php echo form_tag('export_templates_form', url_for('ext/templates/export_templates','action=save_description&id=' . $_GET['id']),array('class'=>'form-horizontal')) ?>

<div class="row">
  <div  class="col-md-8">
    <?php echo textarea_tag('export_templates_description',$template_info['description']) ?>
    
    <br>

		<?php echo submit_tag(TEXT_BUTTON_SAVE) . ' ' . button_tag(TEXT_BUTTON_CANCEL,url_for('ext/templates/export_templates'),false,array('class'=>'btn btn-default'))  ?>
		
		<br>					
		
  </div>
  <div  class="col-md-4">
    <h4><?php echo TEXT_AVAILABLE_FIELDS . '&nbsp;<a href="javascript: open_dialog(\'' . url_for('ext/templates/export_templates_help') . '\')"><i class="fa fa-question-circle" aria-hidden="false"></i></a>'?></h4>
    
<?php
$entity_cfg = entities::get_cfg($template_info['entities_id']);

$fields_query = db_query("select f.*, t.name as tab_name from app_fields f, app_forms_tabs t where f.type not in (" . fields_types::get_reserverd_types_list() . ") and f.entities_id='" . $template_info['entities_id'] . "' and f.forms_tabs_id=t.id order by t.sort_order, t.name, f.sort_order, f.name");

if(db_num_rows($fields_query)==0) echo TEXT_NO_RECORDS_FOUND; 

$html = '<ul class="sortable">';

if($entity_cfg['use_comments']==1)
{
	$html .= '
    <li style="cursor: pointer" class="insert_to_template_description">
      {#comments:'. TEXT_COMMENTS . '}
    </li>';
}

$html .= '
    <li style="cursor: pointer" class="insert_to_template_description">
      {#id:'. TEXT_FIELDTYPE_ID_TITLE . '}
    </li>
    <li style="cursor: pointer" class="insert_to_template_description">
      {#date_added:'. TEXT_FIELDTYPE_DATEADDED_TITLE . '}
    </li>
    <li style="cursor: pointer" class="insert_to_template_description">
      {#date_updated:'. TEXT_FIELDTYPE_DATE_UPDATED_TITLE . '}
    </li>
    <li style="cursor: pointer" class="insert_to_template_description">
      {#created_by:'. TEXT_FIELDTYPE_CREATEDBY_TITLE . '}
    </li>';

while($v = db_fetch_array($fields_query))
{
	if($v['type']=='fieldtype_dropdown_multilevel')
	{
		$html .= fieldtype_dropdown_multilevel::output_export_template($v);
	}
	else 
	{
	  $html .= '
	    <li style="cursor: pointer" class="insert_to_template_description">
	      {#' . $v['id'] .':'. strip_tags(fields_types::get_option($v['type'],'name',$v['name'])) . '}
	    </li>';
	}
}
$html .= '</ul>';

echo $html;
?>    

  </div>
</div>

</form>

<script>

$(function(){
        
  use_editor_full('export_templates_description',true)
     
  $('.insert_to_template_description').click(function(){
    html = $(this).html().trim();
    CKEDITOR.instances.export_templates_description.insertText(html);
  })
})
  
</script>
